# Interface ReadableOptions

interface ReadableOptions {
autoDestroy?: boolean;
emitClose?: boolean;
encoding?: BufferEncoding;
highWaterMark?: number;
objectMode?: boolean;
signal?: AbortSignal;
construct?(this, callback): void;
destroy?(this, error, callback): void;
read?(this, size): void;
}

#### Hierarchy (view full)

- StreamOptions<Readable>
  - ReadableOptions
    - DuplexOptions

- Defined in node_modules/@types/node/stream.d.ts:962

#####
Index

### Properties

autoDestroy?
emitClose?
encoding?
highWaterMark?
objectMode?
signal?

### Methods

construct?
destroy?
read?

## Properties

### `Optional` autoDestroy

autoDestroy?: boolean

Inherited from StreamOptions.autoDestroy

- Defined in node_modules/@types/node/stream.d.ts:960

### `Optional` emitClose

emitClose?: boolean

Inherited from StreamOptions.emitClose

- Defined in node_modules/@types/node/stream.d.ts:955

### `Optional` encoding

encoding?: BufferEncoding

- Defined in node_modules/@types/node/stream.d.ts:963

### `Optional` highWaterMark

highWaterMark?: number

Inherited from StreamOptions.highWaterMark

- Defined in node_modules/@types/node/stream.d.ts:956

### `Optional` objectMode

objectMode?: boolean

Inherited from StreamOptions.objectMode

- Defined in node_modules/@types/node/stream.d.ts:957

### `Optional` signal

signal?: AbortSignal

When provided the corresponding `AbortController` can be used to cancel an asynchronous action.

Inherited from StreamOptions.signal

- Defined in node_modules/@types/node/events.d.ts:486

## Methods

### `Optional` construct

- construct(this, callback): void

- #### Parameters

  - this: Readable
  - callback: ((error?) => void)
    - - (error?): void

      - #### Parameters

        - `Optional` error: null | Error

        #### Returns void

  Inherited from StreamOptions.construct

  - Defined in node_modules/@types/node/stream.d.ts:958

### `Optional` destroy

- destroy(this, error, callback): void

- #### Parameters

  - this: Readable
  - error: null | Error
  - callback: ((error?) => void)
    - - (error?): void

      - #### Parameters

        - `Optional` error: null | Error

        #### Returns void

  Inherited from StreamOptions.destroy

  - Defined in node_modules/@types/node/stream.d.ts:959

### `Optional` read

- read(this, size): void

- #### Parameters

  - this: Readable
  - size: number

  #### Returns void

  - Defined in node_modules/@types/node/stream.d.ts:964